<mat-card class="example-card" *ngIf="deposit">
  <mat-card-actions>
    <button class="back-button" mat-raised-button color="primary" (click)="goBack()">Back</button>
  </mat-card-actions>
  <mat-card-header>
    <h3>Details</h3>
  </mat-card-header>
  <mat-card-content class="card-content">
    <p>
      <strong>Account number:</strong> {{deposit.account}} </p>
    <p>
      <strong>Amount:</strong> {{deposit.amount}}</p>
    <p>
      <strong>interest:</strong> {{deposit.interest}}</p>
  </mat-card-content>
</mat-card>